Skip to main content
POST
/
v4
/
reports
/
report
Generate a report
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v4/reports/report \
  --header 'Authorization: Bearer <token>'
{
  "url": "<string>",
  "fileName": "<string>",
  "result": "SUCCESS",
  "htmlReport": "<string>",
  "jsonReport": {},
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

url
string
fileName
string
result
enum<string>
Available options:
SUCCESS,
FAILURE_CLOUDSTORAGE_NOT_SETUP,
FAILURE_UPLOAD_ERROR,
MASTER_SUCCESS_PERSONAL_FAILURE_UPLOAD_ERROR,
FAILURE_NO_DATA,
FAILURE_TOKEN_INVALIDATED,
FAILURE_EMAIL_TOKEN_INVALIDATED,
FAILURE_UNKNOWN_ERROR,
FAILURE_USER_OVER_QUOTA,
FAILURE_VALIDATION_ERROR
htmlReport
string
jsonReport
object
errors
object

Error object containing details errors incurred, if any